# @lfk/backend

Backend Server

## Dev Setup 🛠

### Local w/ sqlite

1. Create a .env file in the project root containing:
   ```
    APP_PORT=4010
    DB_TYPE=sqlite
    DB_HOST=bla
    DB_PORT=bla
    DB_USER=bla
    DB_PASSWORD=bla
    DB_NAME=./test.sqlite
   ```
2. Install Dependencies
   ```bash
   yarn
   ```
3. Start the server
   ```bash
   yarn dev
   ```

### Docker w/ postgres 🐳

```bash
docker-compose up --build
```

## Recommended Editor

[Visual Studio Code](https://code.visualstudio.com/)

### Recommended Extensions

- will be automatically recommended via ./vscode/extensions.json

## File Structure

- src/models/\* - database models (typeorm entities)
- src/controllers/\* - routing-controllers
- src/loaders/\* - loaders for the different init steps of the api server
- src/routes/\* - express routes for everything we don't do via routing-controllers (shouldn't be much)
