import "reflect-metadata";
import * as dotenvSafe from "dotenv-safe";
import { createExpressServer } from "routing-controllers";
import consola from "consola";
import loaders from "./loaders/index";

dotenvSafe.config();
const PORT = process.env.APP_PORT || 4010;

const app = createExpressServer({
  controllers: [__dirname + "/controllers/*.ts"],
  development: process.env.NODE_ENV === "production",
  routePrefix: "/api",
  controllers: [__dirname + "/controllers/*.ts"],
});

async function main() {
  await loaders(app);
  app.listen(PORT, () => {
    consola.success(
      `⚡️[server]: Server is running at http://localhost:${PORT}`
    );
  });
}
main();
